﻿# -----------------------------------------------------------------
# Audit Admin Logons
# Created by: Christopher Clai - www.syntaxbearror.io
# -----------------------------------------------------------------
# Version 1.0 (August 5th, 2019)
# -----------------------------------------------------------------
#
# Example of running the script:
# .\audit_adminlogons.ps1 
#
#
# ##### CHANGELOG ########
# Version 1.0
# 
#
#

Import-Module ActiveDirectory

# Replace admin with whatever common account prefix we are tracking.
$admname = "admin" + "*"

# Alter the negative number to how many days back you want to go.
$range = ((Get-Date).AddDays(-7)).Date

# -----
# DO NOT EDIT ANYTHING BELOW THIS LINE
# -----

$fnmod = Get-Date -Format "yyyymmdd"
$fname = "adminlogons_" + $fnmod + ".csv"

Get-ADUser -Filter {SamAccountName -like $admname -and LastLogonDate -ge $range} -Properties LastLogonDate | Export-CSV $fname -NoTypeInformation