﻿# -----------------------------------------------------------------
# Check Lithnet Deployment
# Created by: Christopher Clai - www.syntaxbearror.io
# -----------------------------------------------------------------
# Version 1.0 (August 5th, 2019)
# -----------------------------------------------------------------
#
# Example of running the script:
# .\check_lithnet.ps1 
#
#
# ##### CHANGELOG ########
# Version 1.0
# 
#
#

Import-Module ActiveDirectory

# Build the array of systems we are targeting via AD.
# If you want to target all windows systems, remove the *7* from the first line, and comment out the second line directly below this comment.
$servers = Get-ADComputer -Filter "OperatingSystem -like 'Windows *7*'" -Properties * | Select Name | select -ExpandProperty Name
$servers += Get-ADComputer -Filter "OperatingSystem -like 'Windows *10*'" -Properties * | Select Name | select -ExpandProperty Name

# -----
# DO NOT EDIT ANYTHING BELOW THIS LINE
# -----

Start-Transcript -Path "find-lithnet.txt" -Append

ForEach ($server in $servers) {

 If(Test-Connection -BufferSize 32 -Count 1 -ComputerName $server -Quiet) {
    Write-Host "`r`n $server is Online. Checking logged on users...`r`n"

    quser /server $server | Out-Default

    tasklist /S $server /FI "IMAGENAME eq Lithnet.IdleLogoff.exe" | Out-Default

    write-host "`r`n"

 }
 else
 {
    write-host "$server is not online... Checking next system...`r`n" 
 }                           

}

stop-transcript 